| IDA SDK

Public Member Functions | List of all members
source_file_t Class Referenceabstract
Debugger functions » Source information providers

## Detailed Description

Describes a source file.

Inherits qrefcnt_obj_t.

## Public Member Functions
virtual void idaapi | release () override=0
| Call this function to free source_file_t. More...
virtual srcinfo_provider_t *idaapi | get_provider (void) const =0
| Get source info provider. More...
virtual const char *idaapi | get_path (qstring *errbuf)=0
| Get path to the source file (or a symbolic name). More...
virtual TWidget * | open_srcview (strvec_t **strvec, TWidget **pview, int lnnum, int colnum)=0
| Open window with source code (optional function). More...
virtual bool idaapi | read_file (strvec_t *buf, qstring *errbuf)=0
| Read entire file (colored lines). More...
Public Member Functions inherited from qrefcnt_obj_t
| qrefcnt_obj_t (void)
| Constructor.
virtual void idaapi | release (void)=0
| Call destructor. More...

## Additional Inherited Members
Public Attributes inherited from qrefcnt_obj_t
int | refcnt
| counter

## Member Function Documentation

## ◆ release()

virtual void idaapi source_file_t::release | ( |  | ) |
| override pure virtual

Call this function to free source_file_t.

Implements qrefcnt_obj_t.

## ◆ get_provider()

virtual srcinfo_provider_t *idaapi source_file_t::get_provider | ( | void |  | ) | const
| pure virtual

Get source info provider.

There is no need to free or release it after using

## ◆ get_path()

virtual const char *idaapi source_file_t::get_path | ( | qstring * | errbuf | ) |
| pure virtual

Get path to the source file (or a symbolic name).

Parameters

  [out] | errbuf | pointer to buffer for the error message

## ◆ open_srcview()

virtual TWidget * source_file_t::open_srcview | ( | strvec_t ** | strvec,
|  | TWidget ** | pview,
|  | int | lnnum,
|  | int | colnum
| ) |  |
| pure virtual

Open window with source code (optional function).

Parameters

  [out] | strvec | pointer to source text. the text should not be destroyed until the form is closed
  [out] | pview | pointer to view that displays the source text (subview of TWidget)
  | lnnum,colnum | cursor coordinates

## ◆ read_file()

virtual bool idaapi source_file_t::read_file | ( | strvec_t * | buf,
|  | qstring * | errbuf
| ) |  |
| pure virtual

Read entire file (colored lines).

Parameters

  [out] | buf | pointer to output buffer
  [out] | errbuf | pointer to buffer for the error message

The documentation for this class was generated from the following file:

- dbg.hpp